import { efContext } from "./efContext.js";
import { consume } from "@lit/context";
import { LitElement, css, html } from "lit";
import { customElement } from "lit/decorators.js";
import _decorate from "@oxc-project/runtime/helpers/decorate";
let EFToggleLoop = class EFToggleLoop$1 extends LitElement {
	static {
		this.styles = [css`
      :host {}
    `];
	}
	render() {
		return html`
      <slot @click=${() => {
			if (this.context) this.context.loop = !this.context.loop;
		}}></slot>
    `;
	}
};
_decorate([consume({ context: efContext })], EFToggleLoop.prototype, "context", void 0);
EFToggleLoop = _decorate([customElement("ef-toggle-loop")], EFToggleLoop);
export { EFToggleLoop };
